# Changelog

## 0.9.6 (2021-12-02)

* FIX: Error that the specicied output path does not exists, even if it does
* FIX: Guard could trigger multiple reconnects leading to parallel crawlers running
* CHANGE: Increased number of attempts for reconnecting and initializing connection
* CHANGE: Increased time between attempts for reconnecting and initializting connection
* CHANGE: No retry for permentent errors (4xx) when reconnecting

## 0.9.5 (2021-11-12)

* FIX: Connection guard did not warn when closing connection takes more than 10min
* FIX: Could get stuck in closing connection
* CHANGE: Show connecting status in terminal if not connected (for streaming)
* CHANGE: Improved logging when stopping and closing connection

## 0.9.4 (2021-11-11)

* FIX: Connection guard triggers reconnect multiple times unnecessarily until first event received
* FIX: Double "Reconnecting" message

## 0.9.3 (2021-11-10)

* FIX: Restarting connection fails
* FIX: Connection and event guards not working properly
* CHANGE: TrainMessage reconnects already after 10h no events to lower risk of missing something
* CHANGE: Higher limit before SSE connection is marked as stale and a new connection created

## 0.9.2 (2021-11-09)

* FIX: Initializing new connection was broken
* FIX: Missing sseurl leads to infinite reconnect to None, should create new connection instead
* FIX: Warning when no connection for more than 10min could be given multiple times
* REMOVED: Removed analysis (moved to different repo)

## 0.9.1 (2021-11-09)

* FIX: Support for canceled trains in analysis
* NEW: Warning when streaming stopped for more than 10min (no connection)
* CHANGED: Normal reconnection does not give warning anymore (only status message)
* CHANGED: Improved logging

## 0.9.0 (2021-11-08)

* NEW: New --force option to force opening a new connection on streaming instead of reconnecting
* NEW: When no events are received for extremely long time, new stream connection will be forced
* CHANGE: When starting new stream, all available data is now fetched and not only from yesterday midnight
* CHANGE: Daily TrainAnnouncement crawler includes now all scheduled trains for the day in addition to acutally operated trains (for example canceled trains)
* CHANGE: More detailled logging
